<%--
 * ========================================================================
 * 
 * Copyright 2004 Carlos Sanchez.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * ========================================================================
--%>

<%@ include file="/common/taglibs.jsp" %>

<c:set var="authentication" value="${sessionScope['ACEGI_SECURITY_AUTHENTICATION']}"/>
<c:choose>
    <c:when test="${not empty authentication}">

        <div id="user">
            <fmt:message key="user.logged" bundle="${userBundle}">
                <fmt:param value="${authentication.principal}"/>
            </fmt:message>
        </div>
        <br/>

        <%-- logout --%>
        <c:url var="logoutURL" value="/logout.jsp"/>
        <a href="<c:out value='${logoutURL}'/>">
            <fmt:message key="user.logout" bundle="${userBundle}"/>
        </a>

    </c:when>
    <c:otherwise>

        <%-- login --%>
        <c:url var="loginURL" value="/show.do">
            <c:param name="page" value=".login"/>
        </c:url>
        <a href="<c:out value='${loginURL}'/>">
            <fmt:message key="user.login" bundle="${userBundle}"/>
        </a>

    </c:otherwise>
</c:choose>

<%-- insert default header --%>
<tiles:insert name="/layout/defaultHeader.jsp"/>
