<%--
 * ========================================================================
 * 
 * Copyright 2004 Carlos Sanchez.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * ========================================================================
--%>

<%@ include file="/common/taglibs.jsp" %>

<h1>Login</h1>

<%--
    this form-login-page form is also used as the 
    form-error-page to ask for a login again.
--%>
<c:if test="${not empty param.login_error}">
    <div class="error">    
        <c:url var='iconWarning' value='/images/iconWarning.gif'/>
        <html:img src="${iconWarning}" 
            altKey="icon.warning" styleClass="icon"/>
        <fmt:message key="errors.login" bundle="${userBundle}"/><br/>
    </div>
</c:if>

<div class="form">

<p align="center"><fmt:message key="user.login.sample" bundle="${userBundle}"/></p>

<form action="<c:url value='/security_check'/>" method="POST">

    <div class="row">
        <span class="label"><fmt:message key="user.userName" bundle="${userBundle}"/></span>
        <span class="formw"><input type='text' name='j_username'></span>
    </div>
    <div class="row">
        <span class="label"><fmt:message key="user.password" bundle="${userBundle}"/></span>
        <span class="formw"><input type='password' name='j_password'></span>
    </div>
    <div class="row">
        <span class="formw">
            <input value="<fmt:message key='button.login' bundle="${userBundle}"/>"
                   name="submit" type="submit" class="button">
        </span>
    </div>

</form>
</div>
